#ifndef __CONFIG_H
#define __CONFIG_H

#include <QtGui>
#include <QtNetwork>
//#include <QDialog>
#include "ui_config.h"

struct RecipientList{
	QString alias;
	QString name;
	QString ending;
};

class ConfigDlg : public QDialog, public Ui::Config
{
Q_OBJECT
public:
	ConfigDlg(QList<RecipientList>*l=0);
private slots:
	int getSendingMode();
	void readSettings();
	void setSendingMode(int mode);
	void on_addListButton_clicked();
	void on_downloadRcptList_clicked(bool clicked);
	void writeSettings();
private:
	QList<RecipientList>*list;
};

#endif // __CONFIG_H
