#include <QApplication>
#include <QTranslator>
#include <QLocale>
#include <QIODevice>
#include <QFtp>
#include "mainwindowimpl.h"
//
int main(int argc, char ** argv)
{
	QApplication app( argc, argv );
	
	QTranslator myappTranslator;
	//if (QLocale::system().name().contains("de", Qt::CaseInsensitive)){myappTranslator.load("nl_de");}

	//else 
	myappTranslator.load("nl_" + QLocale::system().name().left(QLocale::system().name().indexOf("_")));
	//QtSystem.load("qt_" + QLocale::system().name().left(QLocale::system().name().indexOf("_")),QLibraryInfo::location(QLibraryInfo::TranslationsPath));

	app.installTranslator(&myappTranslator);
	
	MainWindowImpl win;
	win.show();
	//if (argc==2) win.openFile((QString)argv[1]);
	app.connect( &app, SIGNAL( lastWindowClosed() ), &app, SLOT( quit() ) );
	return app.exec();
	

	
}
