#ifndef __REPLACE_H__
#define __REPLACE_H__

#include <QtGui>
#include "ui_replace.h"

class ReplaceDlg : public QDialog, public Ui::Replace
{
Q_OBJECT
public:
	ReplaceDlg(QList<QPair<QString,QString> > *rList );

private slots:
	void addPair();
	void deletePairs();
	void updatePairs();
	void updateAddState();
	void updateDeleteState();
	void updateSourceSelection();
	void updateTargetSelection();
	void exportList();
	void importList();
	void fillListView();

private:
	QList<QPair<QString,QString> > localReplaceList;
	QList<QPair<QString,QString> > *replaceList;

};

#endif // __REPLACE_H__
